Bug 22369 - Memory Leak in aspell
Summary: Memory Leak in aspell
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: aspell   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-15 20:58 UTC by Yaron Minsky
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-18 05:33:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
elisp file for version of flyspell I use. (79.38 KB, text/plain)
2000-12-15 21:00 UTC, Yaron Minsky
no flags Details

Description Yaron Minsky 2000-12-15 20:58:50 UTC
Aspell has a Big Old Memory Leak.  Huge, really.  It manifests for me when
using flyspell in xemacs.  aspell grows huge -- I've seen it up to 90 megs.
It just needs to be killed periodically and it's OK.

Comment 1 Yaron Minsky 2000-12-15 21:00:08 UTC
Created attachment 6492 [details]
elisp file for version of flyspell I use.

Comment 2 Trond Eivind Glomsrxd 2000-12-18 05:23:30 UTC
Which dictionary?

Comment 3 Yaron Minsky 2000-12-18 05:27:58 UTC
I think just the english one.  I don't have anything else installed:

snapdragon: yminsky $ rpm -qa | grep aspell
aspell-0.32.5-1
snapdragon: yminsky $



Comment 4 Yaron Minsky 2000-12-18 05:33:28 UTC
I don't know if this is useful, but here is every line in my .emacs file with
the word spell:

(require 'flyspell)
 '(flyspell-incorrect-color "Red")
 '(flyspell-default-dictionary "american")
 '(flyspell-highlight-properties nil)
 '(global-flyspell-mode nil nil (flyspell))
 '(flyspell-duplicate-color "OrangeRed")
 '(flyspell-doublon-as-error nil)
 '(ispell-program-name "ispell")
 '(flyspell-consider-dash-as-word-delimiter-flag t t)
 '(flyspell-sort-corrections t)
 '(flyspell-duplicate-face ((((class color)) (:foreground "orangered" :bold t
:underline t))))
 '(flyspell-incorrect-face ((((class color)) (:foreground "OrangeRed" :bold t
:underline t))))
 '(flyspell-incorrect-color "Red")
 '(flyspell-default-dictionary "american")
 '(flyspell-highlight-properties nil)
 '(flyspell-duplicate-color "OrangeRed")
 '(flyspell-doublon-as-error nil)
 '(ispell-program-name "ispell")
 '(flyspell-consider-dash-as-word-delimiter-flag t t)
 '(flyspell-sort-corrections t)
 '(flyspell-incorrect-color "Red")
 '(flyspell-default-dictionary "american")
 '(flyspell-highlight-properties nil)
 '(flyspell-duplicate-color "OrangeRed")
 '(flyspell-doublon-as-error nil)
 '(ispell-program-name "ispell")
 '(flyspell-consider-dash-as-word-delimiter-flag t t)
 '(flyspell-sort-corrections t)


(setq flyspell-loaded '())
(defun flyspell-init ()
  (if (not flyspell-loaded)
        (define-key flyspell-mode-map [(super tab)]
          (function flyspell-auto-correct-word))
  (setq flyspell-loaded 't)
(add-hook 'flyspell-mode-hook 'flyspell-init)
(add-hook 'mail-mode-hook 'flyspell-mode)
(add-hook 'sgml-mode-hook 'flyspell-mode)
(add-hook 'text-mode-hook 'flyspell-mode)

Comment 5 Trond Eivind Glomsrxd 2001-04-25 18:11:53 UTC
This should be fixed in aspell-devel-0.33.5-1, coming soon to Rawhide


Note You need to log in before you can comment on or make changes to this bug.